package pl.nettigo.esp.configurator.model;

public class Command<T> {
    private String cmd;
    private T params;

    public Command(String cmd, T params) {
        this.cmd = cmd;
        this.params = params;
    }

    public Command(String cmd) {
        this(cmd, null);
    }

    public String getCmd() {
        return cmd;
    }

    public T getParams() {
        return params;
    }
}
